命名空间:microsoft.graph
重要
Microsoft Graph /beta 版本下的 API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
将 邮件 报告为垃圾邮件、网络钓鱼邮件或非垃圾邮件,从而改进邮件筛选。
API 可用性
此 API 可用于以下国家级云部署。
| 全局服务 | 美国政府 L4 | 美国政府 L5 (DOD) | 由世纪互联运营的中国 |
|---|---|---|---|
| ✅ | ❌ | ❌ | ❌ |
权限
为此 API 选择标记为最低特权的权限。 只有在应用需要它时,才使用更高的特权权限。 有关委派权限和应用程序权限的详细信息,请参阅权限类型。 要了解有关这些权限的详细信息,请参阅 权限参考。
| 权限类型 | 最低特权权限 | 更高特权权限 |
|---|---|---|
| 委派(工作或学校帐户) | Mail.ReadWrite | 不可用。 |
| 委派(个人 Microsoft 帐户) | Mail.ReadWrite | 不可用。 |
| 应用程序 | Mail.ReadWrite | 不可用。 |
HTTP 请求
POST /me/messages/{messageId}/reportMessage
POST /users/{userId}/messages/{messageId}/reportMessage
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | 持有者 {token}。 必填。 详细了解 身份验证和授权。 |
| Content-Type | application/json. 必需。 |
请求正文
在请求正文中,提供参数的 JSON 表示形式。
下表列出了可用于此操作的参数。
| 参数 | 类型 | 说明 |
|---|---|---|
| IsMessageMoveRequested | 布尔值 | 指示是否应将邮件移出当前文件夹。 可选。 |
| ReportAction | reportAction | 指示要对邮件报告的操作类型,可以是垃圾邮件、非垃圾邮件或网络钓鱼邮件。 可能的值包括 unknown、junk、notJunk、phish、unknownFutureValue。 必填。 |
响应
如果成功,此操作将在响应正文中返回 200 OK 响应代码和 消息 对象。
示例
请求
以下示例显示了一个请求。
POST https://graph.microsoft.com/beta/me/messages/AAMkADhAAATs28OAAA=/reportMessage
Content-Type: application/json
{
"IsMessageMoveRequested": true,
"ReportAction": "junk"
}
响应
以下示例显示了相应的响应。
注意:为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#message",
"@odata.type": "#microsoft.graph.message",
"@odata.etag": "W/\"FwAAABYAAAC4ofQHEIqCSbQPot83AFcbAAAW/0tB\"",
"id": "AAMkADhAAAW-VPeAAA=",
"createdDateTime": "2018-08-12T08:43:22Z",
"lastModifiedDateTime": "2018-08-15T19:47:54Z",
"changeKey": "FwAAABYAAAC4ofQHEIqCSbQPot83AFcbAAAW/0tB",
"categories": [],
"receivedDateTime": "2018-08-12T08:43:22Z",
"sentDateTime": "2018-08-12T08:43:20Z",
"hasAttachments": false,
"internetMessageId": "<00535324-5988-4b6a-b9af-d44cf2d0b691@MWHPR2201MB1022.namprd22.prod.outlook.com>",
"subject": "Undeliverable: Meet for lunch?",
"bodyPreview": "Delivery has failed to these recipients or groups:\r\n\r\nfannyd@contoso.com (fannyd@contoso.com)\r\nYour message couldn't be delivered. Despite repeated attempts to deliver your message, querying the Domain Name System (DNS) for the rec",
"importance": "normal",
"parentFolderId": "AAMkADhAAAAAAEKAAA=",
"conversationId": "AAQkADhJzfbkARFhe5kKhjihSA=",
"isDeliveryReceiptRequested": null,
"isReadReceiptRequested": false,
"isRead": false,
"isDraft": false,
"webLink": "https://outlook.office365.com/owa/?ItemID=AAMkADhAAAW%2FVPeAAA%3D&exvsurl=1&viewmodel=ReadMessageItem",
"inferenceClassification": "focused",
"body": {
"contentType": "html",
"content": "<html></html>"
},
"sender": {
"emailAddress": {
"name": "Microsoft Outlook",
"address": "MicrosoftExchange329e71ec88ae4615bbc36ab6ce41109e@contoso.com"
}
},
"from": {
"emailAddress": {
"name": "Microsoft Outlook",
"address": "MicrosoftExchange329e71ec88ae4615bbc36ab6ce41109e@contoso.com"
}
},
"toRecipients": [
{
"emailAddress": {
"name": "fannyd@contoso.com",
"address": "fannyd@contoso.com"
}
},
{
"emailAddress": {
"name": "danas@contoso.com",
"address": "danas@contoso.com"
}
}
],
"ccRecipients": [],
"bccRecipients": [],
"replyTo": [],
"flag": {
"flagStatus": "notFlagged"
}
}